# OperatingSystem

interface OperatingSystem : Named

A machine operating system.

Windows | "windows"
GNU/Linux | "linux"
MacOS | "osx", "mac os x", "darwin"
Solaris | "solaris", "sunos"

## Functions

getDisplayName
Link copied to clipboard
@Internal
abstract fun getDisplayName(): String
Returns a human-consumable display name for this operating system.
getName
Link copied to clipboard
@Input
abstract fun getName(): String
isCurrent
Link copied to clipboard
@Internal
abstract fun isCurrent(): Boolean
Is this the current OS?
isFreeBSD
Link copied to clipboard
@Internal
abstract fun isFreeBSD(): Boolean
Is it FreeBSD?
isLinux
Link copied to clipboard
@Internal
abstract fun isLinux(): Boolean
Is it Linux?
isMacOsX
Link copied to clipboard
@Internal
abstract fun isMacOsX(): Boolean
Is it macOS?
isSolaris
Link copied to clipboard
@Internal
abstract fun isSolaris(): Boolean
Is it Solaris?
isWindows
Link copied to clipboard
@Internal
abstract fun isWindows(): Boolean
Is it Windows?